CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Running, Solving & CFD (http://www.cfd-online.com/Forums/openfoam-solving/)
-   -   Solver compressibleInterFoam in OF 1.5-dev (how can I find it?) (http://www.cfd-online.com/Forums/openfoam-solving/69145-solver-compressibleinterfoam-1-5-dev-how-can-i-find.html)

smart October 13, 2009 11:34

Solver compressibleInterFoam in OF 1.5-dev (how can I find it?)
 
I would like to use the "compressibleInterFoam" solver include in the 1.6 version of OpenFOAM without installing it. Can I download and install only some new solver of 1.6 version in my 1.5-dev version? If yes, how can I do this?

Thank you very much.

Sylvain

hjasak October 16, 2009 06:13

Just take out the solver you want and see if it will compile. My guess is that only very minor tweaks would be needed (hopefully nothing at all).

Good luck,

Hrv

awacs October 18, 2009 21:06

Quote:

Originally Posted by smart (Post 232449)
I would like to use the "compressibleInterFoam" solver include in the 1.6 version of OpenFOAM without installing it. Can I download and install only some new solver of 1.6 version in my 1.5-dev version? If yes, how can I do this?

Thank you very much.

Sylvain

Dear Sylvain,

Have you compiled the compressibleIterFoam solver successfuly in 1.5-dev version? I am interested in this solver too.
I want to create a new solver called "conjugateCompressibleInterFoam". In this new solver, flow equations are solved only on a fluid mesh, while the energy equation is solved in a coupled manner for the fluid and solid domain (just as it is done in conjugateHeatFoam).

Kind regards,
Jitao

smart October 19, 2009 13:10

No success with compilation
 
Hello,

I tried to compile the compressibleInterFoam solver in the 1.5-dev version but I cannot succeed.

After I copy and paste the solver and some other files in the right folder, it seem to be some variable not well declared in the turbulenceModel.H file and "autoPtr" error (error: 'autoPtr' is not a type)... I try to change the turbulence model used in compressibleInterFoam.C but without success.

I tried to compile OpenFOAM-1.6 but I cannot succeed too. Any idea to obtain this solver in the 1.5-dev version?

Thank you very much...

Sylvain

PS: Jitao, have you compiled the solver successfully?

awacs October 20, 2009 22:06

Quote:

Originally Posted by smart (Post 233263)
Hello,

PS: Jitao, have you compiled the solver successfully?

Not yet. If there is any progress, I will notify you timely. Hoping that we can help each other.:)

Kind regards,
Jitao


All times are GMT -4. The time now is 05:29.